org.eclipse.ease.debugging

## Class EventDispatchJob

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.core.internal.jobs.InternalJob
    - - org.eclipse.core.runtime.jobs.Job
      - - org.eclipse.ease.debugging.EventDispatchJob

All Implemented Interfaces:
  Comparable, IAdaptable

    public class EventDispatchJob
    extends Job

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.jobs.Job

`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

### Constructor Summary

Constructors
Constructor and Description
`EventDispatchJob(IEventProcessor host, IEventProcessor debugger)`

### Method Summary

Methods
`void` `addEvent(IDebugEvent event)`
`void` `terminate()`

### Methods inherited from class org.eclipse.core.runtime.jobs.Job

`addJobChangeListener, belongsTo, cancel, create, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

### Methods inherited from class org.eclipse.core.internal.jobs.InternalJob

`compareTo`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### EventDispatchJob

    public EventDispatchJob(IEventProcessor host,
                    IEventProcessor debugger)

### Method Detail

#### addEvent

    public void addEvent(IDebugEvent event)

#### terminate

    public void terminate()